Bug 47223 - Link from calc to writer with relative-path
Summary: Link from calc to writer with relative-path
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste Hyperlink
  Show dependency treegraph
 
Reported: 2012-03-12 01:26 UTC by globalsi
Modified: 2021-09-22 03:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description globalsi 2012-03-12 01:26:28 UTC
Hi,

It's not possible to create a DDE link from Calc to Writer with relative paths.
Comment 1 sasha.libreoffice 2012-06-01 01:07:57 UTC
Thanks for bugreport
Steps to reproduce:
0. Opens existing ods file in Calc, select something there and press Ctrl-C
1. Start Writer, press Ctrl-Shift-V, select "DDE link"
2. in Writer do Edit->Links. For example there is /home/s/file1.ods. Try variant file1.ods and ./file1.ods
Expected: it will work
Actually: complains that link can not be established

reproduced in 3.3.4 and 3.5.4 on Fedora 64 bit
IMHO problem was in 3.2.1

Workaround: use ~/../.. (tilda, used for user folder, .. used for parent folder), for example in my case /home/s/file1.ods may replaced to ~/../../home/s/file1.ods and it works correctly.
Comment 2 Václav Ovsík 2012-10-30 08:40:26 UTC
Hi,
FYI: I found a better workaround prepending URL prefix file: before relative path. So you can write
  file:../foobar.ods
instead of
  ../foobar.ods
(Googled from discussion under http://openoffice.blogs.com/openoffice/2006/06/pasting_openoff.html)
Regards
-- 
Zito
Comment 3 sasha.libreoffice 2012-10-30 11:06:19 UTC
Thanks for additional workaround. I will use it
Comment 4 Pierre C 2012-11-24 18:13:19 UTC
Yes workaround works fine, 

but a relative path isn't still generated with libo 3.6.4 (windows seven)
Comment 5 cébé 2012-12-27 14:42:22 UTC
Hi,

Same problem with 3.6.4 : I have to specify "file:".
Comment 6 cébé 2012-12-27 15:44:50 UTC
Doesn't work on 4b2 !
Comment 7 sasha.libreoffice 2012-12-28 05:39:49 UTC
@  cébé
Thanks for additional testing
Sorry, but "Version" is most old version of LO where bug is reproduced. Not current version. Changing back to 3.3.4 and platform to All
Comment 8 cébé 2013-02-02 17:26:03 UTC
Each time I try to make this file: link (replacing the absolute link), I have an error message. But if I click on "Refresh" (I don't know if it's Refresh : it's Actualiser in french), datas are refreshed.

Moreover, this trick doesn't work with internal link. As I want to use datas from calc document, I copy entire array from Calc to Writer with DDE paste.
After that, I "DDE copy" some data in the same Writer document to have my own layout (not an table !). In DDE links table, this kind of link is written as : __DdeLink__7337_1235083230. It's ok, it works. But, as usual, file reference is absolute and here, if I try file:, it doesn't work.
Comment 9 Pierre C 2013-11-16 11:15:27 UTC
This bug is still in 4.1 & 4.2 dev.

Nowadays, many peoples work in different places, with different computers. So having the ability to use relative path in all LO feature is a must have feature.

Of course workaround works fine, but we can't tell users to go into Edit/Links and modify all DDE path to be relative. This workaround is only for advanced users
Comment 10 Pierre C 2014-08-24 13:02:28 UTC
DDE Link from calc to writer are still not stored as relative links as it should be to conform with the option "store relative path FS"
LO 4.3.1.1
Comment 11 QA Administrators 2015-09-04 02:48:48 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2016-09-20 10:30:01 UTC Comment hidden (obsolete)
Comment 13 Pierre C 2016-09-25 07:46:38 UTC
Yes, this is still a bug. 
And really, behaviour should be in accordance with option "Use relative path"

As work around is easy, maybe this bug should be considered as an easyhack
Comment 14 Jean-Baptiste Faure 2017-07-01 10:08:20 UTC
From comment #2 I see that the issue was already in OOo.

Best regards. JBF
Comment 15 QA Administrators 2018-08-23 02:41:43 UTC Comment hidden (obsolete)
Comment 16 Franklin Weng 2019-09-22 08:07:26 UTC
Still reproducible in

版本:6.3.1.2 (x86)
組建 ID:b79626edf0065ac373bd1df5c28bd630b4424273
CPU 執行緒:4; OS:Windows 10.0; UI 算繪:GL; VCL: win; 
語言地區:zh-TW (zh_TW); UI-Language: zh-TW
Calc: threaded
Comment 17 Franklin Weng 2019-09-22 08:22:57 UTC Comment hidden (obsolete)
Comment 18 Pierre C 2019-09-22 08:51:09 UTC Comment hidden (obsolete)
Comment 19 Franklin Weng 2019-09-22 09:33:00 UTC
(In reply to Pierre C from comment #18)
> (In reply to Franklin Weng from comment #17)
> > (In reply to Pierre C from comment #13)
> > > Yes, this is still a bug. 
> > > And really, behaviour should be in accordance with option "Use relative path"
> > > 
> > > As work around is easy, maybe this bug should be considered as an easyhack
> > 
> > However the workaround seems not work under Windows.
> 
> This workaround worked fine under Windows. I only used it under Windows. Any
> regression here ?

Maybe I used it in a wrong way since I'm not familiar with Windows system.

How to change the link from absolute path to relative path under Windows?  I tried:

--- Writer.odt
 |
 |---Documents
        |
        |---sources.ods

And changed the path from C:\Users\xxxyyy\Documents\sources.ods to 
Documents\sources.ods
file:Documents\sources.ods
file:./Documents/sources.ods

They all didn't work.
Comment 20 QA Administrators 2021-09-22 03:38:29 UTC
Dear globalsi,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug